org.hibernate.search.backend.impl

## Class WorkQueuePerIndexSplitter

- java.lang.Object
- - org.hibernate.search.backend.impl.WorkQueuePerIndexSplitter

-     public class WorkQueuePerIndexSplitter
      extends Object

  Used by `TransactionalOperationExecutor` to split a list of operations according to the multiple IndexManagers it needs to be routed to.
  Author:
    Sanne Grinovero (C) 2011 Red Hat Inc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkQueuePerIndexSplitter(IndexManagerHolder indexManagerHolder, Predicate<IndexManager> indexManagerFilter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToQueue(IndexManager indexManager, LuceneWork work)`
    `void` | `commitOperations(IndexingMonitor monitor)` Send all operations stored so far to the backend to be performed, atomically and/or transactionally if supported/enabled by each specific backend.
    `void` | `performStreamOperation(IndexManager indexManager, LuceneWork work)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkQueuePerIndexSplitter

          public WorkQueuePerIndexSplitter(IndexManagerHolder indexManagerHolder,
                                           Predicate<IndexManager> indexManagerFilter)

  - ### Method Detail

    - #### addToQueue

          public void addToQueue(IndexManager indexManager,
                                 LuceneWork work)

    - #### performStreamOperation

          public void performStreamOperation(IndexManager indexManager,
                                             LuceneWork work)

    - #### commitOperations

          public void commitOperations(IndexingMonitor monitor)

      Send all operations stored so far to the backend to be performed, atomically and/or transactionally if supported/enabled by each specific backend.
      Parameters:
        `monitor` - a `IndexingMonitor` object.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved